Accessing Mosaics
The Starglass API provides a means for accessing the high resolution mosaics of the HCO plates produced during the DASCH scanning process.
See all available Mosaics
The response object for a plate (api.starglass.cfa.harvard.edu/public/plates/p/[plate_id]) will include the mosaics field, which is an array of objects containing information about the mosaics available for the plate. The mosaics field will contain a list of objects, each of which will contain the following fields:
plate_id: The ID of the plate the mosaic is forbin_factor: The ratio of pixels in the FITS file to pixels in the original scan.01is the highest resolution available,16is the lowest resolution available.flags: Processing flags used to indicate what kind of astrometric fitting was performed on the FITS file.wwindicates that the file was astrometrically calibrated andww_tnxindicates that the file was astrometricaly calibrated and has had lens distortion accounted for.rotation: Rotation of the mosaic, either none,r90,r180,or r270. Rotation has no impact on usage of the data and should not be used to select a mosaic.mosaic_num: Mosaic number, used to select a specific mosaic from the set of mosaics available for a plate.
These fields can be used to select a specific mosaic to download.
Downloading Mosaics
Mosaics are available for download from the Starglass API to users who are registered and using the full API. We restrict downloads solely to authenticated users due to the volume of data that can be downloaded. See the Authentication page for more information on how to access the full API. To download a Mosaic, make a GET query to api.starglass.cfa.harvard.edu/full/plates/p/[plate_id]/mosaic/download where [plate_id] is the ID of the plate you want to download the mosaic for. The response will be a FITS file containing the mosaic. By default, the mosaic downloaded will be the lowest resolution, newest mosaic available that matches passed in query parameters. The following optional query parameters that can be used to specify which mosaic to download:
bin_factor:01or16. The ratio of pixels in the FITS file to pixels in the original scan.01is the highest resolution available,16is the lowest resolution available. The default value is16where available.flags: Processing flags used to indicate what kind of astrometric fitting was performed on the FITS file.wwindicates that the file was astrometrically calibrated andww_tnxindicates that the file was astrometricaly calibrated and has had lens distortion accounted for.rotation: Rotation of the mosaic, either none,r90,r180,or r270. Rotation has no impact on usage of the data and should not be used to select a mosaic. Variable provided for completeness.mosaic_num: Mosaic number, used to select a specific mosaic from the set of mosaics available for a plate. The default value is the newest mosaic available.
Example curl command
curl -H "x-api-key: [API_KEY]" -L "https://api.starglass.cfa.harvard.edu/full/plates/p/a00001/mosaic/download" -o mosaic.fits